Get Pint Detail Sis
curl --request GET \
--url https://sis.sumvin.com/v0/sis/pint/{pint_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sis.sumvin.com/v0/sis/pint/{pint_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sis.sumvin.com/v0/sis/pint/{pint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_links": {
"issue_token": {
"href": "/v0/sis/token/pint",
"method": "POST"
},
"revoke": {
"href": "/v0/pint/sr%3Aus%3Apint%3Aabc123def456",
"method": "DELETE"
},
"self": {
"href": "/v0/pint/sr%3Aus%3Apint%3Aabc123def456"
},
"status": {
"href": "/v0/sis/pint/sr%3Aus%3Apint%3Aabc123def456/status"
},
"tokens": {
"href": "/v0/pint/sr%3Aus%3Apint%3Aabc123def456/tokens"
}
},
"pint": {
"created_at": 1704067200000,
"enforcement_mode": "strict",
"expires_at": 1704153600000,
"id": "sr:us:pint:abc123def456",
"nonce": 1,
"scopes": [
"read:portfolio"
],
"signed_at": 1704067200500,
"signer_type": "user",
"status": "active",
"token_count": 2,
"transaction_count": 0,
"wallet_address": "0xaabbccdd11223344556677889900aabbccddeeff"
}
}{
"detail": "No wallet found with ID 12345 for this user.",
"error_code": "WAL-404-001",
"instance": "/v0/wallets/12345",
"status": 404,
"title": "Wallet Not Found",
"trace_id": "abc123-def456-ghi789",
"type": "https://api.sumvin.com/errors/wal-404-001"
}{
"detail": "No wallet found with ID 12345 for this user.",
"error_code": "WAL-404-001",
"instance": "/v0/wallets/12345",
"status": 404,
"title": "Wallet Not Found",
"trace_id": "abc123-def456-ghi789",
"type": "https://api.sumvin.com/errors/wal-404-001"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}PINT
Get Pint Detail Sis
GET
/
v0
/
sis
/
pint
/
{pint_id}
Get Pint Detail Sis
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Allowed value:
"tokens"Response
Successful Response
HAL-style hypermedia links for navigation and available actions.
Show child attributes
Show child attributes
PINT resource details.
Show child attributes
Show child attributes
JWT token issuances. Populated when ?expand=tokens is requested.
Show child attributes
Show child attributes
Transactions linked to this PINT. Populated when ?expand=transactions is requested.
Show child attributes
Show child attributes
Agent tasks linked to this PINT. Populated when ?expand=agent_tasks is requested.
Show child attributes
Show child attributes
⌘I